org.fife.ui.rsyntaxtextarea.focusabletip

## Class FocusableTip

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.focusabletip.FocusableTip

    public class FocusableTip
    extends Object

A focusable tool tip, similar to those found in Eclipse. The user can click in the tip and it becomes a "real," resizable window.

Version:
  1.0
Author:
  Robert Futrell

### Constructor Summary

Constructors
Constructor and Description
`FocusableTip(JTextArea textArea, HyperlinkListener listener)`

### Method Summary

Methods
`URL` `getImageBase()` Returns the base URL to use when loading images in this focusable tip.
`void` `possiblyDisposeOfTipWindow()` Disposes of the focusable tip currently displayed, if any.
`void` `setImageBase(URL url)` Sets the base URL to use when loading images in this focusable tip.
`void` `toolTipRequested(MouseEvent e, String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FocusableTip

    public FocusableTip(JTextArea textArea,
                HyperlinkListener listener)

### Method Detail

#### getImageBase

    public URL getImageBase()

Returns the base URL to use when loading images in this focusable tip.

Returns:
  The base URL to use.
See Also:
  `setImageBase(URL)`

#### possiblyDisposeOfTipWindow

    public void possiblyDisposeOfTipWindow()

Disposes of the focusable tip currently displayed, if any.

#### setImageBase

    public void setImageBase(URL url)

Sets the base URL to use when loading images in this focusable tip.

Parameters:
  `url` - The base URL to use.
See Also:
  `getImageBase()`

#### toolTipRequested

    public void toolTipRequested(MouseEvent e,
                        String text)